Ruby trunk - Feature #11218

File.open FILE_SHARE_DELETE
06/04/2015 05:19 AM - naruse (Yui NARUSE)

Status: Closed
Priority: Normal
Assignee:

Target version:

Description

fluentdl0000ss0000000000000000000in taild000000000DO0000O
000000D000D00Do00Do00Dna0DDoo00o000o00hO0JsoNDDOnnnonng

100000000+uenta00000000Apachel000Rais00000000
qaooooooooooooooooooooooonooononooniraistApachell0000000000000000000
qaooooooo0o0000iogrotate 1000000000 Drotated00000000000000
00000000000renamelllApachellRailsl00signall00000000000000000000

00000windowsOO000000000000renamel00000000000000000000000000
0000000000000createFilelFILE_ SHARE _DELETENNNOOO000000000000O
000000000000DDD00000000DDDO00000000DDO00000000D
https://issues.apache.org/jira/browse/HADOOP-8564

000RubylWindowslopen(2)I0000rb_w32_open/ro_w32_wopen00000000000_open/_wopenl0OOONN
000000ooooooooooooooooOereateFiled0OUODOOOOOFILE. SHARE_DELETENDOOOOOOON
00000000FILE_SHARE_DELETENOOOOOCOOOOOOOOODO

Related issues:
Related to Ruby trunk - Feature #11583: Add File#unlink Open

Associated revisions

Revision 2bc28020 - 06/12/2015 12:14 PM - usa (Usaku NAKAMURA)

¢ file.c (File::SHARE_DELETE): new flag to be able to delete opened file
on Windows.

¢ include/win32/win32.c (O_SHARE_DELETE): new pseudo file mode flag.
e win32/win32.c (rb_w32_{w,}open): support above flag. [EXPERIMENTAL]
¢ NEWS: mention about this feature.

[Feature #11218] [ruby-dev:49022]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@50848 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 50848 - 06/12/2015 12:14 PM - usa (Usaku NAKAMURA)

e file.c (File::SHARE_DELETE): new flag to be able to delete opened file
on Windows.

¢ include/win32/win32.c (O_SHARE_DELETE): new pseudo file mode flag.
* win32/win32.c (rb_w32_{w,}open): support above flag. [EXPERIMENTAL]

¢ NEWS: mention about this feature.
[Feature #11218] [ruby-dev:49022]

Revision 50848 - 06/12/2015 12:14 PM - usa (Usaku NAKAMURA)
History

#1 - 06/04/2015 10:16 AM - usa (Usaku NAKAMURA)
- File share_delete.patch added

Usaku NAKAMURA wrote:

00000rubylrb_w32_(w)openl000000000000000000O0ODOODODOOD0DODODODDOODODODODD)

00000DoDoDoo0O@DboboDonoDoDO0n0DODODODODODaDD0DOD)
0000o0opoooonono

#3 - 06/12/2015 05:48 AM - nobu (Nobuyoshi Nakada)

- Description updated

#4 - 06/12/2015 06:16 AM - matz (Yukihiro Matsumoto)
Matz.

#5 - 06/12/2015 12:14 PM - usa (Usaku NAKAMURA)
- Status changed from Open to Closed

Applied in changeset r50848.

e file.c (File::SHARE_DELETE): new flag to be able to delete opened file
on Windows.

e include/win32/win32.c (O_SHARE_DELETE): new pseudo file mode flag.
* win32/win32.c (rb_w32_{w,}open): support above flag. [EXPERIMENTAL]

¢ NEWS: mention about this feature.
[Feature #11218] [ruby-dev:49022]

#6 - 06/12/2015 12:17 PM - usa (Usaku NAKAMURA)

File::SHARE_DELETE 0000000
00000000000000000000000000000000000000

#7 - 10/12/2015 07:09 AM - nobu (Nobuyoshi Nakada)
- Related to Feature #11583: Add File#unlink added

Files
share_delete.patch 2.9 KB 06/04/2015 usa (Usaku NAKAMURA)
